%global momorel 3
%global qtver 3.3.3
%global kdever 3.3.2
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr

Summary: Small applet which displays cpu time for KDE kicker
Name: kcpuload
Version: 1.99
Release: %{momorel}m
License: GPL
URL: http://extragear.kde.org/apps/kcpuload/
Group: User Interface/Desktops
Source: %{name}-%{version}.tar.bz2
# NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: gcc-c++ >= 3.4.1-1m, desktop-file-utils

%description
This is a small program for the KDE Kicker (the startmenu).
It will show the CPU usage in form of one or two configurable diagrams.
There are settings for colors and some different styles.
Note that it isn't the real system load that's shown, but the percent
used of the total CPU power, which is calculated from the number of
CPU ticks.

To bring up the settings menu, simply rightclick on the diagram.
Use a slower update interval to get a more stable and accurate
diagram without flicker.

If there are more than one CPU on the system, the total CPU usage from
both can be shown, or you can choose to have one separate diagram for
each of the CPU's.
Leftclick on the diagram to bring up a small information box which will
show the exact CPU usage in text form.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--with-qt-libraries=%{qtdir}/lib \
	--disable-debug \
	--disable-warnings

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Qt \
  --add-category KDE \
  --add-category System \
  %{buildroot}%{_datadir}/applnk/System/kcpuload.desktop

# # remove directory of original desktop file
# rm -rf %{buildroot}%{_datadir}/applnk/System

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/kcpuload
%{_datadir}/applications/kde/kcpuload.desktop
%{_datadir}/apps/kcpuload
%{_datadir}/doc/HTML/*/kcpuload
%{_datadir}/icons/*/*/*/*.png

%changelog
* Wed Feb 23 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.99-3m)
- enable x86_64.

* Thu Feb 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.99-2m)
- change URL

* Sat Oct  2 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.99-1m)
- update to 1.99
- no NoSource: 0
- BuildPreReq: gcc-c++, desktop-file-utils

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9.1-6m)
- s/Copyright:/License:/

* Sat Mar 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.9.1-5m)
- rebuild against for XFree86-4.3.0

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.9.1-4m)
- rebuild against kde-3.0.5a.

* Fri Oct 11 2002 Shinji Takei <stakei@nga.jp>
- (1.9.1-3m)
- modified define kdever 3.0.4

* Sat Oct  5 2002 YAMAZAKI Makoto <uomaster@nifty.com> 
- (1.9.1-2m) 
- kdever to 3.0.3 
- add BuildPreReq: qt-devel = %{qtver} 
- add BuildPreReq: kdelibs-devel = %{kdever} 

* Wed Aug 07 2002 Shinji Takei <stakei@nga.jp>
- (1.9.1-1m)
- - first release.
